#
# spec file for package python-lazr.delegates
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-lazr.delegates
Version:        2.0.4
Release:        lp152.1.1
Summary:        Easily write objects that delegate behavior
License:        LGPL-3.0-only
URL:            https://launchpad.net/lazr.delegates
Source:         https://files.pythonhosted.org/packages/source/l/lazr.delegates/lazr.delegates-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-zope.interface
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module zope.interface}
# /SECTION
%python_subpackages

%description
Easily write objects that delegate behavior

%prep
%setup -q -n lazr.delegates-%{version}

%build
sed -i "/'nose'/d" setup.py
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license COPYING.txt
%{python_sitelib}/*

%changelog
* Mon Dec  2 2019 pgajdos@suse.com
- call spec-cleaner
* Tue Oct  1 2019 pgajdos@suse.com
- do not install_require nose
* Wed Sep 25 2019 pgajdos@suse.com
- initial version 2.0.4, required by python-lazr.config [SLE-7686]
